/* Fonts Link Start */
@import url("https://fonts.googleapis.com/css2?family=Righteous&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Raleway:ital,wght@0,100..900;1,100..900&display=swap");
/* Fonts Link End */

/* Universal Start */
* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

:root {
  --primary-color: #f59305;
  --secondary-color: #36bd64;
  --black: #000000;
  --white: #ffffff;
  --primary-font: "Righteous";
  --secondary-font: "Raleway";
  --primary-border: 1px solid #36bd64;
  --secondary-border: 1px solid #f59305;
}

h1,
h2,
h3,
h4,
h5 {
  font-family: var(--primary-font);
}

a {
  text-decoration: none !important;
}

p {
  font-family: var(--secondary-font);
}

/* Universal End */

/* Hero  Start */
#shop_hero {
  background: url(../image/shop-all-image/hero_image/shop_hero_image_01.png);
  width: 100%;
  height: 55vh;
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
}

.shop_hero_heading {
  padding-top: 20vh;
}

.shop_hero_heading h1 {
  font-size: 50px;
  color: var(--white);
}

.shop_hero_heading p {
  font-size: 16px;
  color: var(--white);
}

@media screen and (max-width: 992px) {
  .shop_hero_heading h1 {
    font-size: 40px;
  }
}

@media screen and (max-width: 778px) {
  .shop_hero_heading h1 {
    font-size: 35px;
  }
  .shop_hero_heading p {
    font-size: 15px;
  }
}

@media screen and (max-width: 500px) {
  .shop_hero_heading h1 {
    font-size: 30px;
  }
  .shop_hero_heading p {
    font-size: 15px;
  }
}
/* Hero  End */

/* Page Information Start  */
.page_information {
  padding: 20px 0 50px 0;
}

.page_information_content a {
  color: var(--black);
  font-weight: 500;
  font-family: var(--secondary-font);
  font-size: 20px;
}

.page_information_content a:nth-child(2) {
  margin-left: 3px;
}

.page_information_content a:nth-child(3) {
  margin-left: 3px;
}

.page_information_content a:nth-child(2) svg {
  width: 10px !important;
}
/* Page Information End */

/* Special Offers Stat */
#Special_offer {
  padding: 40px 0;
}

.special_offer_heading {
  margin-top: 30px;
  text-align: center;
  align-items: center;
}

.special_offer_heading h1 {
  font-size: 38px;
}

.special_offer_heading p {
  font-size: 16px;
  font-family: var(--secondary-font);
}

.swiper {
  width: 100%;
  height: 100%;
}

.swiper-slide {
  text-align: center;
  font-size: 18px;
  background: #fff;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: auto;
}

.swiper-slide img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.swiper-wrapper {
  display: flex;
  width: 100%;
  align-items: stretch !important;
}

.Special_offer_wrapper {
  position: relative;
  width: 100%;
}

.card_slider {
  padding: 30px 20px 70px 20px;
}

.swiper-button-next {
  /* left: 0; */
  right: 0;
}

.swiper-pagination {
  display: none;
}

.swiper-button-next {
  width: 40px;
  height: 40px;
  background: var(--white);
  position: absolute;
  border: var(--secondary-border);
  border-radius: 50px;
  font-size: 20px;
  padding: 0;
  align-items: center;
  display: flex;
  justify-content: center;
  color: var(--primary-color);
  transition: 0.5s ease;
}

.swiper-button-next:hover {
  background: var(--primary-color);
  position: absolute;
  color: var(--white);
}

.swiper-button-prev {
  right: 0;
  left: 0px;
}

.swiper-button-prev:hover {
  background: var(--primary-color);
  position: absolute;
  color: var(--white);
}

.swiper-button-prev {
  width: 40px;
  height: 40px;
  background: var(--white);
  position: absolute;
  border: var(--secondary-border);
  border-radius: 50px;
  font-size: 25px;
  padding: 0;
  align-items: center;
  display: flex;
  justify-content: center;
  color: var(--primary-color);
  transition: 0.5s ease;
}

.swiper-button-prev::after {
  font-size: 25px;
  font-weight: 700;
  align-items: center;
  display: flex;
  justify-content: center;
  padding: 0;
}

.swiper-button-next::after {
  font-size: 25px;
  font-weight: 700;
  text-align: center;
  display: block;
  padding: 0 !important;
}

.special-offer-card_btn_text {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 5px;
}

.special-offer-card_btn_text p {
  font-size: 16px;
  margin: 0;
}

.special-offer-card {
  background: var(--white);
  width: 100%;
  height: 100%;
  border-radius: 5px;
  position: relative;
  border: var(--primary-border);
  padding: 20px;
  transition: 0.5s ease;
}
.special_offer_overlay,
.special-offer-card:hover {
  border: 1px solid #fff;
  border-radius: 5px;
}

.special_offer_imgs {
  position: absolute;
  top: 20px;
  left: 0;
}

.special_offer_imgs h1 {
  padding: 7px 10px;
  background: var(--secondary-color);
  font-size: 14px;
  color: var(--white);
  border-radius: 0 3px 3px 0;
}

.special_offer_img {
  width: 160px;
  height: 160px;
  display: block;
  margin: auto;
  padding-bottom: 20px;
}
.special_offer_img img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}

.special-offer-card_price h1 {
  font-size: 20px;
  margin-top: 10px;
  padding-bottom: 10px;
}

.special-offer-card_price span {
  font-family: var(--primary-font);
}

.special_offer_overlay {
  position: absolute;
  background: rgba(0, 0, 0, 0.3);
  width: 100%;
  height: 100%;
  opacity: 0;
  padding-top: 17vh;
  justify-content: center;
  align-items: center;
  transition: 0.5s ease;
}

.special_offer_overlay a {
  display: block;
  width: 160px;
  height: 30px;
  background: var(--primary-color);
  color: var(--white);
  margin: auto;
  padding-top: 3px;
  font-size: 14px;
  border: var(--secondary-border);
  border-radius: 5px;
  font-family: var(--primary-font);
  transition: 0.3s ease;
}

.special_offer_overlay a:nth-child(2) {
  margin-top: 10px !important;
}

.special_offer_overlay:hover {
  opacity: 1;
}

.special_offer_overlay a:hover {
  background: rgba(209, 124, 0, 1);
  color: var(--white);
  border: 1px solid rgba(209, 124, 0, 1);
}
.special-offer-card_btn a {
  font-size: 18px;
  font-family: var(--secondary-font);
  color: var(--secondary-color);
  font-weight: 700;
  display: inline-block;
  margin-bottom: 10px;
}

.special-offer-card_btn p {
  font-size: 15px;
}

@media screen and (max-width: 991px) {
  .card_slider {
    padding: 30px 15px;
  }
  .swiper-button-next {
    left: 94%;
  }

  .special-offer-card_btn_text p {
    font-size: 14px;
  }
}

@media screen and (max-width: 767px) {
  .swiper-button-next {
    display: none;
  }
  .card_slider {
    padding: 30px 0px 50px 0px;
  }
  .swiper-button-prev {
    display: none;
  }
  .swiper-pagination {
    display: block;
  }

  .special-offer-card_btn_text p {
    font-size: 16px;
  }
}

@media screen and (max-width: 575px) {
  .special_offer_heading h1 {
    font-size: 30px;
  }

  .special_offer_heading h1 span:nth-child(2) {
    font-size: 22px !important;
  }
}

@media screen and (max-width: 400px) {
  .swiper-button-next {
    left: 88%;
  }
}

.swiper-pagination-bullet {
  background: var(--primary-color) !important;
  width: 10px;
  height: 10px;
  border-radius: 50px;
  margin: 10px;
}
.swiper-pagination-bullet-active {
  outline-offset: 3px;
  color: #f59305 !important;
  outline: 1px solid var(--primary-color);
}

/* Special Offers End */

/* Total Products Start */
.total_products {
  padding: 20px 0;
}

.total_product {
  border: var(--primary-border);
  padding: 10px 0;
  border-radius: 5px;
}

.total_products_content_heading {
  margin-left: 15px;
}

.total_products_content_heading {
  display: flex;
  justify-content: start;
  align-items: center;
  gap: 5px;
}

.total_products_content_heading span:nth-child(1) {
  font-size: 16px;
  margin: 0;
  font-weight: 500;
  color: var(--black);
}

.total_products_content_input {
  position: relative;
  margin-right: 10px;
}

.total_products_content_input .select_btn {
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: relative;
  background: #fff;
  color: rgb(53, 51, 51);
  font-weight: 600;
  height: 35px;
  font-size: 1rem;
  width: 100%;
  border: 1px solid rgba(0, 0, 0, 0.3);
  font-family: var(--secondary-font);
  border-radius: 5px;
  text-align: center;
  padding: 5px 20px;
  cursor: pointer;
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.1);
}

.select_btn .icon_arraw {
  transition: 0.5s;
}

.select_btn.active .icon_arraw {
  transform: rotate(180deg);
}

.total_products_content_input .list {
  position: absolute;
  z-index: 999;
  transform: translateY(10px);
  margin-top: 10px;
  padding-right: 10px;
  width: 100%;
}

.list .option:hover {
  background: #f2f2f2;
}

.list .option:nth-child(1) {
  border-top-left-radius: 8px;
  border-top-right-radius: 8px;
}

.list .option:nth-child(5) {
  border-bottom-left-radius: 8px;
  border-bottom-right-radius: 8px;
}

.option svg {
  margin-right: 14px;
}

.option .option-text {
  font-size: 15px;
  font-family: var(--secondary-font);
  color: rgb(53, 51, 51);
  font-weight: 600;
}

.list .option {
  width: 100%;
  display: inline-block;
  align-items: center;
  height: 35px;
  padding: 3px 16px;
  text-align: center;
  cursor: pointer;
  background: #fff;
  opacity: 0;
  border: 1px solid rgba(54, 189, 100, 60%);
  /* border: 1px solid rgba(0, 0, 0, 0.3); */
  transform-origin: top;
  transform: scale(0) translateY(-65px);
  margin-bottom: -55px;
  transition: opacity 0.5s ease-in-out, transform 0.5s ease-in-out,
    margin-bottom 0.5s ease-in-out;
  transition-delay: calc(0.1s * var(--i));
}

.select_btn.active ~ .list .option {
  transition: opacity 1s ease-in-out, transform 0.5s ease-in-out,
    margin-bottom 0.2s ease-in-out;
  transition-delay: calc(0.1s * var(--i));
  transform: scale(1) translateY(0);
  opacity: 1;
  margin-bottom: 0;
}

@media screen and (max-width: 770px) {
  .total_products_content_heading {
    margin-left: 5px;
    margin-top: 10px;
  }
  .total_products_content_heading p {
    font-size: 12px;
  }

  .total_products_content_heading p span {
    font-size: 17px !important;
    margin-left: 2px !important;
  }
}

@media screen and (max-width: 550px) {
  .total_products_content_heading {
    margin-left: 5px;
    margin-top: 10px;
  }
  .total_products_content_heading p {
    font-size: 10px;
  }

  .total_products_content_heading p span {
    font-size: 15px !important;
    margin-left: 2px !important;
  }
}

@media screen and (max-width: 575px) {
  .total_products_content_input {
    margin-left: 10px;
    margin-top: 5px;
  }

  .total_products_content_heading {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 5px;
  }
}
/* Total Products End */

/* Popular Products Start */
#popular_product {
  padding: 10px 0 90px 0;
}

.popular_product_heading h1 {
  display: inline-block;
  border-bottom: 2px solid var(--secondary-color);
  font-size: 35px;
  padding-bottom: 5px;
}

.popular_product_btn {
  display: flex;
  justify-content: end;
  align-items: end;
  text-align: end;
}

.popular_product_btn a {
  display: inline-block;
  padding: 5px 20px;
  font-size: 18px;
  border: var(--secondary-border);
  font-family: var(--primary-font);
  color: var(--primary-color);
}

.popular_product_wrapper:nth-child(1) {
  margin-top: 80px !important;
}

.popular_product_card_wrapper {
  border: var(--primary-border);
  width: 100%;
  padding: 25px;
  border-radius: 5px;
  aspect-ratio: 2/1;
  position: relative;
  background: #ffffff;
}

.popular_product_card_img {
  width: 100%;
  height: 100%;
  padding-bottom: 30px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.popular_product_card_img img {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 160px !important;
  height: 160px;
  text-align: center;
}

.popular_product_card_rating {
  display: block;
  margin: auto;
  text-align: center;
  padding-bottom: 15px;
}

.popular_product_card_text {
  text-align: center;
  width: 100%;
}

.popular_product_card_text h1 {
  font-size: 20px;
  padding-bottom: 15px;
  height: 60px;
}

.popular_product_card_text p {
  font-size: 20px;
  font-family: var(--primary-font) !important;
  color: var(--primary-color);
  padding-bottom: 15px;
}

.popular_product_card_text a {
  font-size: 16px;
  color: var(--secondary-color);
  font-family: var(--secondary-font);
  font-weight: 600;
}

.popular_product_card_overlay {
  position: absolute;
  bottom: 0;
  left: 0;
  background: rgba(0, 0, 0, 0.3);
  width: 100%;
  height: 0;
  opacity: 0;
  margin: auto;
  display: inline-block;
  padding-top: 20px;
  transition: 0.3s ease;
  overflow: hidden;
}

.popular_product_card_overlay a {
  display: block;
  width: 160px;
  height: 40px;
  background: var(--primary-color);
  padding-top: 6px;
  color: var(--white);
  font-family: var(--primary-font);
  font-size: 16px;
  margin: auto;
  border-radius: 5px;
  text-align: center;
  justify-content: center;
  align-items: center;
  transition: 0.4s ease;
}

.popular_product_card_overlay a:hover {
  background: rgba(209, 124, 0, 1);
}

.popular_product_card_overlay a:nth-child(2) {
  margin-top: 10px;
  text-align: center;
  justify-content: center;
  align-items: center;
}

.popular_product_card_wrapper:hover .popular_product_card_overlay {
  height: 30%;
  opacity: 1;
}

@media screen and (max-width: 767px) {
  .popular_product_heading h1 {
    font-size: 26px;
  }
}

@media screen and (max-width: 576px) {
  .popular_product_heading h1 {
    font-size: 16px;
  }
  .popular_product_btn a {
    font-size: 14px;
  }
}

.popular_product_wrapper_pagenation {
  display: flex;
  justify-content: center;
  align-items: center;
  padding-top: 50px;
}

.pagenation_all_items {
  display: flex;
  gap: 20px;
}
.pagenation_all_items a {
  display: flex;
  gap: 20px;
  justify-content: center;
  width: 40px;
  height: 40px;
  align-items: center;
  border: 2px solid var(--primary-color);
  color: var(--primary-color);
  border-radius: 7px;
  transition: 0.3s;
  font-family: var(--primary-font);
}

.pagenation_all_items a:hover {
  background: var(--primary-color);
  color: var(--white);
}

.pagenation_all_items a:hover .fa-angle-left {
  color: #ffffff !important;
}

.pagenation_all_items a:hover .fa-angle-right {
  color: #ffffff !important;
}

.pagenation_all_items a i {
  font-size: 25px;
}

.pagenation_all_items .active {
  background: var(--primary-color);
  color: var(--white);
}

.pagenation_all_items a:nth-child(1) {
  border-radius: 50%;
}
.pagenation_all_items a:last-child {
  border-radius: 50%;
}
/* Popular Products End */

/* Products Discount Start */
#product_discount {
  padding: 50px 0 30px 0;
}

.product_discount_heading h1 {
  display: inline-block;
  border-bottom: 2px solid var(--secondary-color);
  font-size: 35px;
  padding-bottom: 5px;
}

.product_discount_btn {
  display: flex;
  justify-content: end;
  align-items: end;
  text-align: end;
}

.product_discount_btn a {
  display: inline-block;
  padding: 5px 20px;
  font-size: 18px;
  border: var(--secondary-border);
  font-family: var(--primary-font);
  color: var(--primary-color);
}

.product_discount_content {
  margin-top: 50px;
  display: flex;

  gap: 20px;
  flex-direction: row;
}

.product_discount_content_item_list {
  width: 27%;
}

.product_discount_items_special_img {
  background: url(../image/home-all-image/discount-image/discount-image-01.png);
  width: 100%;
  height: 550px;
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  border-radius: 5px;
}

.product_discount_content_items_over {
  padding: 25px;
  top: 20px;
  left: 0;
}

.product_discount_content_items_over p {
  font-size: 20px;
  font-weight: 600;
  color: var(--secondary-color);
}

.product_discount_content_items_over h1 {
  font-size: 25px;
  margin-bottom: 15px;
}

.product_discount_price {
  display: flex;
  justify-content: space-between;
}

.product_discount_overly_btn {
  display: flex;
  justify-content: end;
  align-items: center;
}

.product_discount_overly_btn a {
  display: inline-block;
  padding: 7px 20px;
  border: 2px solid var(--primary-color);
  background: var(--primary-color);
  color: var(--white);
  font-family: var(--primary-font);
  transition: 0.3s ease;
  border-radius: 5px;
}

.product_discount_overly_btn a:hover {
  background: var(--white);
  color: var(--primary-color);
}

.product_discount_content_item_offer {
  width: 45%;
}

.product_discount__item_offer_img {
  background: url(../image/home-all-image/discount-image/discount-image-02.png);
  width: 100%;
  height: 350px;
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  margin-top: 70px;
  border-radius: 5px;
}

.product_discount_item_offer_btn {
  display: flex;
  justify-content: center;
  align-items: center;
}

.product_discount_item_offer_btn a {
  display: inline-block;
  padding: 6px 20px;
  color: var(--white);
  margin-top: 40px;
  background: var(--secondary-color);
  border-radius: 5px;
  font-family: var(--secondary-font);
  font-size: 16px;
  font-weight: 600;
  margin-bottom: 20px;
  transition: 0.3s ease;
}

.product_discount__item_offer_text h1 {
  text-align: center;
  font-size: 25px;
  color: var(--white);
}

.product_discount__item_offer_text p {
  text-align: center;
  font-size: 16px;
  color: var(--white);
  padding-bottom: 30px;
}

.product_discount_text_btn {
  display: flex;
  justify-content: center;
  align-items: center;
}

.product_discount_text_btn a {
  display: inline-block;
  padding: 6px 20px;
  border: 2px solid var(--primary-color);
  background: var(--primary-color);
  color: var(--white);
  font-weight: 500;
  transition: 0.3s ease;
  font-family: var(--primary-font);
  border-radius: 5px;
}

.product_discount_text_btn a:hover {
  background: rgb(255, 255, 255);
  color: var(--primary-color);
}

.product_discount_content_item_hot {
  width: 28%;
}

.product_discount_item_hot_img {
  background: url(../image/home-all-image/discount-image/discount-image-03.png);
  width: 100%;
  height: 550px;
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  border-radius: 5px;
}

.product_discount_item_hot_heading {
  padding: 20px 20px 0 20px;
}

.product_discount_item_hot_heading p {
  font-size: 16px;
  color: var(--primary-color);
  font-weight: 600;
}

.product_discount_item_hot_heading p:last-child {
  color: var(--white) !important;
}

.product_discount_item_hot_heading h1 {
  font-size: 25px;
  color: var(--white);
  margin-bottom: 15px;
}

.product_discount_item_hot_btn {
  padding: 20px;
}

.product_discount_item_hot_btn a {
  display: inline-block;
  padding: 6px 20px;
  background: var(--primary-color);
  border-radius: 5px;
  border: 2px solid var(--primary-color);
  color: var(--white);
  font-weight: 500;
  font-family: var(--primary-font);
  transition: 0.3s ease;
}

.product_discount_item_hot_btn a:hover {
  background: var(--white);
  color: var(--primary-color);
}

@media screen and (max-width: 1000px) {
  .product_discount_content {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
  }
  .product_discount_content_item_hot {
    width: 100%;
  }

  .product_discount_content_item_list {
    height: 100%;
    width: 350px;
  }
  .product_discount__item_offer_img {
    margin-top: 70px;
  }
}

@media screen and (max-width: 768px) {
  .product_discount_content {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
  }
  .product_discount_content_item_hot {
    width: 100%;
    height: 550px;
  }
  .product_discount_content_item_offer {
    width: 100%;
  }
  .product_discount_content_item_list {
    width: 350px;
    margin: auto;
  }

  .product_discount__item_offer_img {
    margin-top: 10px !important;
  }

  .product_discount_heading h1 {
    font-size: 25px;
  }
}

@media screen and (max-width: 578px) {
  .product_discount_heading h1 {
    font-size: 20px;
  }
}

@media screen and (max-width: 778px) {
  .product_discount_heading h1 {
    display: inline-block;
    border-bottom: 2px solid var(--secondary-color);
    font-size: 25px;
    padding-bottom: 5px;
  }
}

@media screen and (max-width: 575px) {
  .product_discount_heading h1 {
    display: inline-block;
    border-bottom: 2px solid var(--secondary-color);
    font-size: 20px;
    padding-bottom: 5px;
  }
}
/* Products Discount End */

/* Products views Start */

.swiper-slide {
  text-align: center;
  font-size: 18px;
  background: #fff;
  display: flex;
  justify-content: center;
  align-items: center;
}

@media (max-width: 3520px) {
  .swiper-button-nexts {
    right: 20px !important;
    transform: rotate(90deg) !important;
  }

  .swiper-button-prevs {
    left: 20px !important;
    transform: rotate(90deg) !important;
  }
}

.selling-slider_box {
  width: 100%;
  height: 100%;
}

.product_views_wrapper_selling {
  padding: 40px 0;
}

.swiper-wrapper-content_menu {
  height: 570px;
  margin: 0px 0;
}

.selling-slider {
  padding-top: 30px;
  padding-bottom: 30px;
}

.product_views_wrapper_heading {
  display: flex;
  justify-content: center;
  align-items: center;
}

.product_views_wrapper_heading h1 {
  display: inline-block;
  padding-bottom: 4px;
  border-bottom: 2px solid var(--secondary-color);
  color: var(--primary-color);
  font-size: 28px;
}

.swiper-button-nexts {
  top: 97% !important;
  right: 44% !important;
  display: flex !important;
  justify-content: center !important;
}

.swiper-button-prevs {
  top: 4% !important;
  left: 44% !important;
  display: flex !important;
  justify-content: center !important;
}

.selling-slider_box_wrapper {
  display: flex;
  width: 100%;
  gap: 30px;
}

.selling-slider_box_wrapper_image {
  width: 100px;
  height: 100px;
}
.selling-slider_box_wrapper_image img {
  width: 100%;
  height: 100%;
}

.selling-slider_box_content {
  display: flex;
  justify-content: center;
  align-items: center;
}

.selling-slider_box_heading {
  padding-top: 10px;
}

.selling-slider_box_heading h1 {
  font-size: 16px;
}
.selling-slider_box_heading h2 {
  font-size: 16px;
  padding-bottom: 10px;
  text-align: start;
}
.selling-slider_box_heading h3 {
  font-size: 16px;
  text-align: start !important;
  color: var(--primary-color);
}

@media screen and (max-width: 991px) {
  .swiper-button-nexts {
    top: 97% !important;
    left: 40% !important;

    display: flex !important;
    justify-content: center !important;
  }

  .selling-slider_box_content {
    display: flex;
    justify-content: center !important;
    align-items: center !important;
  }
}

/* Products views End */
